Loading...
Searching...
No Matches
typeutilities.hh File Reference

Utilities for type computations, constraining overloads, ... More...

`#include <cstddef>`
`#include <type_traits>`
`#include <tuple>`

Go to the source code of this file.

## Classes

struct | Dune::PriorityTag< priority >
| Helper class for tagging priorities. More...
struct | Dune::PriorityTag< 0 >
| Helper class for tagging priorities. More...

## Namespaces

namespace | Dune
| Dune namespace

## Typedefs

template<class This, class... T>
using | Dune::disableCopyMove = std::enable_if_t< not Impl::disableCopyMoveHelper<This, T...>::value, int>
| Helper to disable constructor as copy and move constructor.

## Detailed Description

Utilities for type computations, constraining overloads, ...

Author
  Carsten Gräser